%global build_no ~136~ubuntu16.04.1

Name:           conky-manager
Version:        2.4
Release:        %mkrel 6
Summary:        A simple GUI for managing Conky config files
Group:          Monitoring
License:        GPLv3+
Url:            https://launchpad.net/%{name}
Source0:        https://launchpad.net/~teejee2008/+archive/ppa/+files/%{name}_%{version}%{build_no}.tar.xz
Patch0:		conky-manager-desktopentry-fixer-and-arabizer.patch
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  vala
Requires:       conky
Requires:       lm_sensors
Requires:       hddtemp
Requires:       p7zip

%description
A simple GUI for managing Conky config files. Options for changing themes and
running Conky at startup build and packaged for fedora, more info
about the code, licence and credits at https://launchpad.net/conky-manager.

%prep
%setup -q -n %{name}-%{version}%{build_no}
%autopatch -p0

# Enable debugging information:
sed -i 's/valac/valac -g/g' src/makefile

%build
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}
%find_lang %name

%files -f %name.lang
%doc README AUTHORS TODO
%{_bindir}/conky-manager*
%{_datadir}/applications/conky-manager.desktop
%{_datadir}/appdata/conky-manager.appdata.xml
%{_datadir}/conky-manager/
%{_datadir}/pixmaps/conky-manager.png


%changelog
* Wed Jun 25 2025 umeabot <umeabot> 2.4-6.mga10
+ Revision: 2194884
- Mageia 10 Mass Rebuild
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- revert the rpath check disable

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 2.4-4.mga9
+ Revision: 1790194
- disable rpath checking

* Wed Feb 12 2020 umeabot <umeabot> 2.4-3.mga8
+ Revision: 1511464
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.4-2.mga7
+ Revision: 1296766
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 2.4-1.mga7
+ Revision: 1244674
- new version: 2.4

* Wed Sep 27 2017 daviddavid <daviddavid> 2.3.4-3.mga7
+ Revision: 1160468
- enable debugging information thus fixing empty debugsourcefiles.list

* Sun Feb 14 2016 umeabot <umeabot> 2.3.4-2.mga6
+ Revision: 959821
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 2.3.4-1.mga6
+ Revision: 896345
- add build fix from FC
- BR pkgconfig(json-glib-1.0)
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.2-2.mga5
+ Revision: 744183
- Second Mageia 5 Mass Rebuild

* Sun Oct 05 2014 dglent <dglent> 1.2-1.mga5
+ Revision: 736976
- imported package conky-manager

